org.apache.cassandra.repair

## Class SnapshotTask

- java.lang.Object
- - com.google.common.util.concurrent.AbstractFuture<java.net.InetAddress>
  - - org.apache.cassandra.repair.SnapshotTask

- All Implemented Interfaces:
    com.google.common.util.concurrent.ListenableFuture<java.net.InetAddress>, java.lang.Runnable, java.util.concurrent.Future<java.net.InetAddress>, java.util.concurrent.RunnableFuture<java.net.InetAddress>

      public class SnapshotTask
      extends com.google.common.util.concurrent.AbstractFuture<java.net.InetAddress>
      implements java.util.concurrent.RunnableFuture<java.net.InetAddress>

  SnapshotTask is a task that sends snapshot request.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnapshotTask(RepairJobDesc desc, java.net.InetAddress endpoint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class com.google.common.util.concurrent.AbstractFuture

      `addListener, cancel, get, get, interruptTask, isCancelled, isDone, set, setException, wasInterrupted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.concurrent.Future

      `cancel, get, get, isCancelled, isDone`

- - ### Constructor Detail

    - #### SnapshotTask

          public SnapshotTask(RepairJobDesc desc,
                              java.net.InetAddress endpoint)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Specified by:
        `run` in interface `java.util.concurrent.RunnableFuture<java.net.InetAddress>`

Copyright © 2018 The Apache Software Foundation